Bug 465254 - Misuse of -init in %post
Misuse of -init in %post
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ratbox-services (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 09:12 EDT by Juha Tuomala
Modified: 2016-02-10 09:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:28:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2008-10-02 09:12:27 EDT
Description of problem:

# rpm -ivh ratbox-services-* ircd-ratbox-2.2.8-2.el5.x86_64.rpm 
Preparing...                ########################################### [100%] 
   1:ircd-ratbox            ########################################### [ 25%] 
   2:ratbox-services        ########################################### [ 50%] 
SQL error: near "/": syntax error                                              
   3:ratbox-services-debugin########################################### [ 75%] 
   4:ratbox-services-devel  ########################################### [100%] 


# rpm -q --scripts ratbox-services
postinstall scriptlet (using /bin/sh):           
if [ $1 -eq 0 ]; then                            
        /sbin/chkconfig --add ratbox-services    
fi                                               

if [ ! -e /var/lib/ratbox-services/ratbox-services.db ]; then
        /usr/bin/sqlite3 init /var/lib/ratbox-services/ratbox-services.db
        /usr/bin/sqlite3 /var/lib/ratbox-services/ratbox-services.db < /usr/share/ratbox-services/schemas/schema-sqlite.txt
fi  

How reproducible:
Always.


-r epel-5-x86_64 --rebuild f9 package in mock and install it into centos5
and error will appear.

man sqlite3:
>       -init file
>           Read and execute commands from file , which can contain a 
>           mix of SQL statements and meta-commands.
>
>INIT FILE
>  sqlite3 reads an initialization file to set the configuration of the
>  interactive environment.  Throughout  initialization, any previously 
>  specified setting can be overridden. 

So dropping the whole line with -init would do the same as now without
printing errors when installing. Sqlite doesn't require same kind of
initialization like real RDBMS backends.
Comment 1 Juha Tuomala 2008-10-02 09:19:05 EDT
Also note that it's -init, -help, not just 'init' etc.
Comment 2 Bug Zapper 2009-06-09 22:52:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:30:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Bug Zapper 2009-11-16 04:28:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 07:46:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-05 02:07:55 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Juha Tuomala 2011-02-01 02:12:38 EST
Still applies to f14.
Comment 8 Jan Kurik 2015-12-22 06:31:03 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.